---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: csi-rbd-secret
  namespace: csi-cephrbd
spec:
  vaultAuthRef: ceph-csi-rbd
  mount: kv
  type: kv-v2
  path: service/kubernetes/au/syd1/csi/ceph-rbd-secret
  refreshAfter: 5m
  destination:
    name: csi-rbd-secret
    create: true
